package mc;

import mc.io.bvh.BVHModelReader;
import mc.model.ModelTimer;
import mc.model.BasicAnimationModel;
import mc.marker.MarkerManager;
import mc.io.bvh.ParseException;
import mc.model.DriverFactory;
import mc.model.ModelException;
import mc.model.euler.EulerAnglesDriverFactory;

import java.io.*;

public class ExportMarkers 
{
    public static void  main(String[] args) throws ParseException, IOException, ModelException
    {
	if (args.length<3) {
	    System.err.println("Usage: modelfile markerfile output");
	    System.exit(-1);
	}
	
	// Get a factory going
	DriverFactory factory=new EulerAnglesDriverFactory();
	// Read in the model
	BVHModelReader reader=new BVHModelReader();
	ModelTimer timer=new ModelTimer(300);
	BasicAnimationModel model=new BasicAnimationModel(timer);
	reader.fill(model,new FileInputStream(args[0]),factory);
	// Read in the marker description
	MarkerManager markerManager=new MarkerManager(new FileInputStream(args[1]),(long)1000/30);
	// Export the markers
	markerManager.export(model,new FileOutputStream(args[2]));
    }
}

