package mc.io;

import mc.model.ModelException;
import mc.model.BasicAnimationModel;
import mc.model.DriverFactory;

import java.io.*;

/**
 * Interface for readers.
 */
public interface ModelReader
{
    /**
     * Parse an input stream .
     *
     * @param model The animation model that will be filled with the data.
     * @param s The input stream.
     * @param factory The factory that will be used to instantiate drivers.
     * @return The animation model.
     * @exception IOException if an IO error occurs.
     * @exception ModelException if a parse error occurs.
     */
    public void fill(BasicAnimationModel model,InputStream s,DriverFactory factory) throws IOException,ModelException;
}


	
