package mc.io.bvh;

import mc.io.ModelReader;
import mc.model.ModelException;
import mc.model.AnimationModel;
import mc.model.BasicAnimationModel;
import mc.model.DriverFactory;
import mc.model.Joint;

import java.io.*;
import com.sun.java.util.collections.*;

/**
 * The bvh model reader
 */
public class BVHModelReader implements ModelReader
{
    /**
     * Parse a stream and return the animation model.
     *
     */
    public void fill(BasicAnimationModel model,InputStream s,DriverFactory factory) throws IOException,ModelException
    {
	BVHParser parser=new BVHParser(s);
	parser.fill(model);
	parser.setFactory(factory);
	parser.init();
	
	try {
	    parser.Hierarchy();
	}
	catch(ParseException e) {
	    throw new ModelException(e.getMessage());
	}
    }

    private static void printOut(Joint joint,int ident)
    {
	for(int i=0;i<ident;i++) {
	    System.out.print("  ");
	}
	System.out.println(joint.getName());
	
	for(Iterator i=joint.getChildren().iterator();i.hasNext();) {
	    Joint childJoint=(Joint)i.next();
	    printOut(childJoint,ident+1);
	}
    }
}

