package mc.marker;

import javax.vecmath.Point3d;

/**
 * The class that stores information on the marker
 */
class MarkerInfo 
{
    /** The name of the marker */
    public final String name;
    
    /** The joint name */
    public final String jointName;
    
    /** The translation */
    public final Point3d translation;
    
    /**
     * Initialize the marker info
     *
     * @param name The name of the marker
     * @param jointName The name of the joint
     * @param x The x translation
     * @param y The y translation
     * @param z The z translation
     */
    public MarkerInfo(String name,String jointName,double x,double y,double z)
    {
	this.name=name;
	this.jointName=jointName;
	this.translation=new Point3d(x,y,z);
    }
}

