package mc.model;

import java.util.EventObject;

/**
 * The event that describes a change in the data manager
 */
public class DataManagerEvent extends EventObject
{
    /** The constant for the addition of a rotation driver */
    public static final int ROTATION_DRIVER_ADDED=0;
    
    /** The constant for the removal for a rotation driver */
    public static final int ROTATION_DRIVER_REMOVED=2;
    
    /** The constant for the addition of a translation driver */
    public static final int TRANSLATION_DRIVER_ADDED=1;
    
    /** The constant for the removal of a translation driver */
    public static final int TRANSLATION_DRIVER_REMOVED=3;
    
    /** The start frame */
    private int startFrame;
    
    /** The end frame */
    private int endFrame;
    
    /** The type of the event */
    private int type;

    /** The type of the interpolator added */
    private String driverDescription;
    
    public DataManagerEvent(Object source,int type,int startFrame,int endFrame,String driverDescription)
    {
	super(source);
	
	this.type=type;
	this.startFrame=startFrame;
	this.endFrame=endFrame;
	this.driverDescription=driverDescription;
    }
    
    public int getType()
    {
	return type;
    }
    
    public String getDriverDescription()
    {
	return driverDescription;
    }
    
    public int getStartFrame()
    {
	return startFrame;
    }
    
    public int getEndFrame()
    {
	return endFrame;
    }
}
