package mc.model;

import javax.vecmath.Matrix4d;

/**
 * The interface for objects that provide data to joints.
 */
public interface DataSource
{
    /**
     * Get the translation matrix for a joint.
     *
     * @param joint The joint.
     * @return The 4x4 translation matrix
     */
    public Matrix4d getTranslationMatrix(Joint joint);
    
    /**
     * Get the rotation matrix for a joint.
     *
     * @param joint The joint.
     * @return The 4x4 rotation matrix.
     */
    public Matrix4d getRotationMatrix(Joint joint);
}

