package mc.model;

import javax.vecmath.Matrix4d;

/**
 * Dummy rotation driver for testing.
 */
public class DummyRotationDriver implements RotationDriver
{
    /**
     * The wrapped driver
     */
    private final RotationDriver realDriver;
    
    public DummyRotationDriver(RotationDriver realDriver)
    {
	this.realDriver=realDriver;
    }

    public String getDescription()
    {
	return "Dummy driver";
    }
    
    public Matrix4d getRotationMatrix(Joint joint,int frameNumber)
    {
	return realDriver.getRotationMatrix(joint,frameNumber);
    }
    
    public DataRepresentation getRotationRep(Joint joint,int frameNumber)
    {
	return realDriver.getRotationRep(joint,frameNumber);
    }
}

