package mc.model;

import javax.vecmath.Matrix4d;
import javax.vecmath.Vector3d;
/**
 * Dummy rotation driver for testing.
 */
public class DummyTranslationDriver implements TranslationDriver
{
    /**
     * The wrapped driver
     */
    private final TranslationDriver realDriver;
    
    public DummyTranslationDriver(TranslationDriver realDriver)
    {
	this.realDriver=realDriver;
    }
    
    public Matrix4d getTranslationMatrix(Joint joint,int frameNumber)
    {
	Matrix4d matrix=realDriver.getTranslationMatrix(joint,frameNumber);
	if (joint.getParent()==null) {
	    Matrix4d translation=new Matrix4d();
	    translation.set(new Vector3d(10,0,0));
	    translation.mul(matrix);
	    return translation;
	} else {
	    return matrix;
	}
    }
    
    public DataRepresentation getTranslationRep(Joint joint,int frameNumber)
    {
	return realDriver.getTranslationRep(joint,frameNumber);
    }
}

