package mc.model;

/**
 * Utility class that represents frame data as an array
 * of values. The structure does not interpret the positions in the
 * array; this is left to the application. In this manner, the array
 * can be used to store translation data, rotation data, or interpolation data.
 */
public class FrameDataArray 
{
    /** The actual data */
    private final double[][] frameData;
    
    /**
     * Allocate a new frame array.
     *
     */
    public FrameDataArray(int numberOfFrames)
    {
	this.frameData=new double[numberOfFrames][3];
    }
    
    public void setValue(int frameNumber,int index,double value)
    {
	frameData[frameNumber][index]=value;
    }
    
    public double getValue(int frameNumber,int index)
    {
	return frameData[frameNumber][index];
    }
}

