package mc.model;

import com.sun.java.util.collections.Vector;
import javax.vecmath.Matrix4d;

/**
 * Interface for joints
 */
public interface Joint 
{
    /**
     * Get the children of this joint.
     *
     * @return A Vector of Joint's.
     */
    public Vector getChildren();
    
    /**
     * Get the parent joint
     *
     * @return The parent joint.
     */
    public Joint getParent();

    /**
     * Get the name of the joint.
     *
     * @return The name of the joint.
     */
    public String getName();

    /**
     * The id of the joint. The id is unique in a skeleton,
     * and is also used to link joints in different skeletons.
     *
     * @return The id of the joint.
     */
    public int getId();
    
}

    




