package mc.model;

import mc.view.Camera;
import com.sun.java.util.collections.Collection;

/**
 * Interface for choosing the appropriate level of detail for
 * a skeleton.
 */
public interface LODChooser
{
    /**
     * Choose the appropriate level of detail (LOD) skelton for
     * the given collection of skeletons, seen through the given camera at the 
     * given frame. 
     * @param skeletons The pyramid of skeletons
     * @param camera
     * @param frame
     * @return correct LOD skeleton.
     */
    public SkeletonHandle choose(LODPyramid skeletons, Camera camera, int frame);
}
