package mc.model;

import java.util.EventListener;

/**
 * The interface for model listeners.
 */
public interface ModelListener extends EventListener
{
    /**
     * Signaled when the model is modified.
     *
     * @param o The object that contains the source of the event.
     */
    public void modelModified(ModelEvent o);

    /**
     * The current frame has been changed.
     *
     * @param currentFrame The current frame.
     * @param increment The increment from the previous frame.
     */
    public void frameTicked(int currentFrame,int increment);
}
