package mc.model;

import javax.vecmath.Matrix4d;

public interface RotationDriver  
{
    /**
     * Get the rotation matrix.
     *
     * @param joint The joint.
     * @param frameNumber The frame number.
     * @return The 4x4 homogeneous matrix.
     */
    public Matrix4d getRotationMatrix(Joint joint,int frameNumber);

    /**
     * Get the internal representation of the rotation.
     *
     * @param joint The joint.
     * @param frameNumber the frame number.
     * @return The internal representation.
     */
    public DataRepresentation getRotationRep(Joint joint,int frameNumber);

    /**
     * Get a description of this driver
     *
     * @return The description of the driver
     */
    public String getDescription();
}
