package mc.model;

import mc.view.Camera;
import com.sun.java.util.collections.*;
import java.util.Random;

public class SeqLODChooser implements LODChooser
{
    /** The number of frames that each LOD skeleton will remain on screen */
    private final int steps;
    
    /** The current step */
    private int currentStep;

    /** The skeleton index */
    private int index;
    
    /** The last skeleton that was selected */
    private SkeletonHandle lastSkeleton;
    
    public SeqLODChooser(int steps)
    {
	this.steps=steps;
	this.currentStep=steps;
	this.index=-1;
	lastSkeleton=null;
    }
    
    /**
     * Choose the next skeleton and stick with it for a number of
     * steps.
     *
     * @param pyramid The skeletons to choose from.
     * @param camera The camera.
     * @param frame The frame.
     * @return The skeleton.
     */
    public SkeletonHandle choose(LODPyramid pyramid,Camera camera,int frame)
    {
	Vector temp=new Vector();
	for(Iterator i=pyramid.getLevels();i.hasNext();) {
	    temp.add(i.next());
	}
	int index=(frame/steps)%temp.size();
	return (SkeletonHandle)temp.elementAt(index);
    }
}

