package mc.model;

import java.util.EventObject;

/**
 * The event from the timer.
 */
public final class TimerEvent extends EventObject
{
    /** The increment */
    public final int increment;
    
    /** The type of the event */
    public final int type;
    
    /** The constant for ticks */
    public final static int TICK=0;
    
    /** The constant for stopping */
    public final static int STOP=1;
    
    /**
     * Initialize the event.
     *
     * @param source The source.
     * @param type The type of the event (TICK or STOP)
     * @param increment The increment
     */
    public TimerEvent(Object source,int type,int increment)
    {
	super(source);
	this.type=type;
	this.increment=increment;
    }
}

    
