package mc.model;

import javax.vecmath.Matrix4d;
import javax.vecmath.Vector3d;
/**
 * Add a translation to the lower driver
 */
public class TransformTranslationDriver implements TranslationDriver
{
    /**
     * The wrapped driver
     */
    private final TranslationDriver realDriver;
    private Vector3d extra;
    
    public TransformTranslationDriver(Vector3d extra, TranslationDriver realDriver)
    {
	this.realDriver=realDriver;
	this.extra = extra;
    }
    
    public Matrix4d getTranslationMatrix(Joint joint,int frameNumber)
    {
	Matrix4d matrix=realDriver.getTranslationMatrix(joint,frameNumber);
	Matrix4d temp = matrix;
	// Check for the root joing
	if (joint.getParent()==null) {
	    temp = new Matrix4d(matrix);
	    temp.m03 += extra.x;
	    temp.m13 += extra.y;
	    temp.m23 += extra.z;
	}
	return temp;
    }
    
    public DataRepresentation getTranslationRep(Joint joint,int frameNumber)
    {
	return realDriver.getTranslationRep(joint,frameNumber);
    }
}

