package mc.model;

import javax.vecmath.Matrix4d;

/**
 * Interface for translation drivers.
 */
public interface TranslationDriver 
{
    /**
     * Get the translation matrix of the node.
     *
     * @param joint The joint.
     * @param frameNumber The frame number
     * @return The homogeneous 4x4 matrix
     */
    public Matrix4d getTranslationMatrix(Joint joint,int frameNumber);

    /**
     * Get the internal representation of the translation.
     *
     * @return The internal representation.
     */
    public DataRepresentation getTranslationRep(Joint joint,int frameNumber);
}


