package mc.model.euler;

import mc.model.DataRepresentation;
import javax.vecmath.Vector3d;

final public class EulerRotationVector3d extends Vector3d implements DataRepresentation
{
    public static final String Name="Euler angles";

    /**
     * The rotation order of the three axes
     */
    private final int[] rotationOrder;
    
    /**
     * Initialize.
     *
     * @param x The rotation around the x axis.
     * @param y The rotation around the y axis.
     * @param z The rotation around the z axis.
     * @param order The rotation order.
     */
    public EulerRotationVector3d(double x,double y,double z,int[] order) 
    {
	super(x,y,z);
	this.rotationOrder=order;
    }
    
    public int[] getRotationOrder()
    {
	return rotationOrder;
    }
}

