package mc.model.euler;

import mc.model.Joint;
import mc.model.MappedRotationDriver;

import com.sun.java.util.collections.Map;

/**
 * A mapped driver for euler angles.
 */
public class MappedEulerRotationDriver extends MappedRotationDriver implements EulerRotationDriver
{
    /**
     * Initialize the driver.
     *
     * @param driver The driver.
     * @param cloneMap The clone map.
     */
    public MappedEulerRotationDriver(EulerRotationDriver driver,Map cloneMap)
    {
	super(driver,cloneMap);
    }
    
    public double getRotateX(Joint joint,int frame)
    {
	// Translate
	Joint mappedJoint=(Joint)theMap.get(joint);
	return ((EulerRotationDriver)theDriver).getRotateX(mappedJoint,frame);
    }
    
    public double getRotateY(Joint joint,int frame)
    {
	Joint mappedJoint=(Joint)theMap.get(joint);
	return ((EulerRotationDriver)theDriver).getRotateY(mappedJoint,frame);
    }
    
    public double getRotateZ(Joint joint,int frame)
    {
	Joint mappedJoint=(Joint)theMap.get(joint);
	return ((EulerRotationDriver)theDriver).getRotateZ(mappedJoint,frame);
    }

    public int[] getRotationAxisOrder(Joint joint)
    {
	Joint mappedJoint=(Joint)theMap.get(joint);
	return ((EulerRotationDriver)theDriver).getRotationAxisOrder(mappedJoint);
    }
    
}

