package mc.model.map;

import mc.model.RotationDriver;
import mc.model.Joint;

/**
 * The interface for drivers that user exponential maps.
 */
interface MapRotationDriver extends RotationDriver
{
    /**
     * Get the parameterized quartenion that describes the rotation
     * of a joint at a specific frame.
     *
     * @param joint The joint
     * @param frameNumber The frame number
     * @return The parameterized quartenion for the rotation
     */
    public ParameterizedQuat4d getParameterizedQuat4d(Joint joint,int frameNumber);
}

