package mc.model.quart;

import mc.model.DriverFactory;
import mc.model.BasicTranslationDriver;
import mc.model.MutableRotationDriver;
import mc.model.MutableTranslationDriver;
import mc.model.RotationInterpolator;
import mc.model.TranslationInterpolator;
import mc.model.TranslationVector3d;

/**
 * The factory class for creating quartenion based drivers.
 */
public class QuartenionDriverFactory implements DriverFactory
{
    private final static String[] descriptions={
	"Slerp Interpolator"
    };
    
    public MutableRotationDriver createMutableRotationDriver()
    {
	return new BasicQuartenionRotationDriver();
    }
    
    public MutableTranslationDriver createMutableTranslationDriver()
    {
	return new BasicTranslationDriver();
    }
    
    public RotationInterpolator createRotationInterpolator(String description)
    {
	if (description.equals("Slerp Interpolator")) {
	    return new QuartenionInterpolator();
	} else {
	    return null;
	}
    }

    public String[] getInterpolatorDescriptions()
    {
	return descriptions;
    }
    
    public TranslationInterpolator createTranslationInterpolator()
    {
	return null;
    }

    public String getRotationEncoding()
    {
	return QuartenionRepresentation.Name;
    }
    
    public String getTranslationEncoding()
    {
	return TranslationVector3d.Name;
    }
}
