package mc.model.quart;

import mc.model.Joint;
import mc.model.RotationDriver;
import javax.vecmath.Quat4d;

/**
 * The interface for drivers that work with quartenions
 */
public interface QuartenionRotationDriver extends RotationDriver
{
    /**
     * Get the quartenion for a joint at a specific frame.
     *
     * @param joint The joint.
     * @param frameNumber The frame.
     * @return The quartenion
     */
    public Quat4d getQuartenionFor(Joint joint,int frameNumber);
}

