package mc.util;

import java.util.EventListener;
import java.awt.event.ActionEvent;

/**
 * The interface for listeners that get notified on
 * acceleration events.
 */
public interface AccelListener extends EventListener
{
    /**
     * Called when the action is accelerated.
     *
     * @param e The event object
     */
    public void accelerated(ActionEvent e);

    /**
     * Called when the action is stopped.
     *
     * @param e The action event.
     */
    public void stopped(ActionEvent e);
}
