package mc.util; // Generated package name

import java.math.BigDecimal;

public class FormatBigDecimal {
    // Returns the BigDecimal value n with trailing zeroes removed.
    static public  BigDecimal trim(BigDecimal n) {
        try {
            while (true) {
                n = n.setScale(n.scale()-1);
            }   
        } catch (ArithmeticException e) {
            // no more trailing zeroes so exit.
        }   
        return n;
    }   
        
    // Returns the BigDecimal value n with exactly 'prec' decimal places.
    // Zeroes are padded to the right of the decimal point if necessary. 
    static public BigDecimal format(BigDecimal n, int prec) {
        return n.setScale(prec, BigDecimal.ROUND_HALF_UP);
    }   

    static public BigDecimal format(double d,int prec)
    {
	return format(new BigDecimal(d),prec);
    }
    
}
