package mc.util;

/**
 * A class that represents a pair of 
 * objects
 */
public class Pair 
{
    /** 
     * The first part
     */
    public Object first;
    
    /** 
     * The second part
     */
    public Object second;
    
    /** Constructor
     */
    public Pair(Object first,Object second)
    {
	this.first=first;
	this.second=second;
    }
    
    /**
     * Default Constructor
     */
    public Pair()
    {
	this(null,null);
    }

    /**
     * To string
     */
    public String toString()
    {
	String firstStr=null;
	if (first!=null) {
	    firstStr=first.toString();
	}
	String secondStr=null;
	if (second!=null) {
	    secondStr=second.toString();
	}
	return "<"+firstStr+","+secondStr+">";
    }

    public boolean equals(Object o)
    {
	// Check for null
	if (o==null) {
	    return false;
	}
	// Check for not pair
	if (!(o instanceof Pair)) {
	    return false;
	}
	Pair otherPair=(Pair) o;
	boolean equals=false;
	if (first!=null) {
	    equals=(first.equals(otherPair.first));
	} else {
	    equals=(otherPair.first==null);
	}
	if (!equals)
	    return false;

	if (second!=null) {
	    equals=(second.equals(otherPair.second));
	} else {
	    equals=(otherPair.second==null);
	}
	return equals;
    }

    public int hashCode()
    {
	if (first!=null && second!=null) {
	    return first.hashCode()^second.hashCode();
	}
	if (first==null) {
	    if (second!=null) {
		return second.hashCode();
	    } else {
		return 0;
	    }
	} else {
	    return first.hashCode();
	}
    }
    
}
