package mc.view;

/**
 * Serves the purpose of defining the bounds by which a shape may
 * want to constrain itself.
 * If need be, a more general purpose interface would allow for any
 * number of dimensions, i.e. an n-dimensional interval and support
 * methods for testing against inclusion, intersections, etc.
 *
 * For our purposes this is not needed.
 */
public class BoundingVolume
{
    private double length;
    private double width;
    private double height;

    public BoundingVolume(double length, double width, double height)
    {
	this.length = length;
	this.width = width;
	this.height = height;
    }

    public BoundingVolume()
    {
	length = 0.0;
	width = 0.0;
	height = 0.0;
    }

    public void setLength(double length)
    {
	this.length = length;
    }

    public void setWidth(double width)
    {
	this.width = width;
    }

    public void setHeight(double height)
    {
	this.height = height;
    }

    public double getLength()
    {
	return length;
    }

    public double getWidth()
    {
	return width;
    }

    public double getHeight()
    {
	return height;
    }

    public String toString()
    {
	return "{" + length + "," + width + "," + height + "}";
    }	
}
