package mc.view;

import mc.model.AnimationModel;
import javax.vecmath.Vector3d;
import com.hermetica.magician.*;

/**
 * Basic camera with control over the eye and target positions
 */
public interface Camera
{
    /**
     * Get a vector that represents the eye of the camera location
     * @return vector
     */
    Vector3d getEye(int frame);
    /**
     * Get a vector that represents the eye of the camera location
     * @return vector
     */
    Vector3d getTarget(int frame);
    /**
     * Set the X coord of the eye
     * @param coord
     */
    void setEyeX(double v);
    /**
     * Set the X coord of the eye
     * @param coord
     */
    void setEyeY(double v);
    /**
     * Set the X coord of the eye
     * @param coord
     */
    void setEyeZ(double v);
    /**
     * Set the X coord of the eye
     * @param coord
     */
    void setTargetX(double v);
    /**
     * Set the X coord of the eye
     * @param coord
     */
    void setTargetY(double v);
    /**
     * Set the X coord of the eye
     * @param coord
     */
    void setTargetZ(double v);
    /**
     * Draw debugging aids
     * @param gl
     */
    void draw(AnimationModel model, GL gl);
}
