package mc.view;

import mc.model.DataRepresentation;
import java.awt.Component;

/**
 * The view of a data representation object.
 */
public interface DataRepresentationView
{
    /**
     * Get the component that visualizes the 
     * data representation.
     *
     * @return The component
     */
    public Component getComponent();

    /**
     * Refresh the view since the object changed.
     *
     * @param object the new state of the representation.
     */
    public void refresh(DataRepresentation object);

    public void initView();
}
