package mc.view;

import mc.model.euler.EulerRotationVector3d;
import mc.model.DataRepresentation;
import java.awt.*;
import javax.swing.*;

/**
 * Show the Euler angles in tabular view
 */
public class EulerRotationPanel extends JPanel implements DataRepresentationView
{
    /** The channel panel */
    private final VectorPanel theChannelPanel;
    
    /** The gl view */
    private final EulerAnglesGLView glView;

    /** The headers for the channel panel */
    private final static String[] headers= {
	"Rotate X","Rotate Y","Rotate Z"
    };

    /**
     * Initialize
     *
     */
    public EulerRotationPanel()
    {
	super(new GridBagLayout());
	this.theChannelPanel=new VectorPanel(null,headers);
	this.glView=new EulerAnglesGLView();
	// Set up the layout
	GridBagLayout layout=(GridBagLayout)getLayout();
	GridBagConstraints c=new GridBagConstraints();
	c.weightx=1;
	c.weighty=1;
	c.fill=GridBagConstraints.BOTH;
	layout.setConstraints(theChannelPanel,c);
	add(theChannelPanel);
	// Add the GL view
	c.weightx=0.2;
	c.weighty=0.2;
	c.gridwidth=GridBagConstraints.REMAINDER;
	c.fill=GridBagConstraints.BOTH;
	layout.setConstraints(glView,c);
	add(glView);
	//
	setBorder(BorderFactory.createTitledBorder("Rotation"));
    }

    public void initView()
    {
	glView.initView();
    }
    
    public Component getComponent()
    {
	return this;
    }
    
    public void refresh(DataRepresentation rep)
    {
	// Update the channels
	theChannelPanel.refresh(rep);
	// Refresh the gl view
	glView.refresh(rep);
    }
}
