package mc.view;

import mc.model.AnimationModel;
import mc.model.RotationInterpolator;
import mc.model.DataManagerListener;
import mc.model.DataManagerEvent;

import com.sun.java.util.collections.*;
import javax.swing.*;
import javax.swing.table.*;
import javax.swing.event.*;
import java.awt.event.*;
import java.awt.*;

/**
 * The component that handles how far back we should trace
 */
final class GLRecordComponent extends JPanel implements ActionListener, ItemListener
{
    /** The recording session prefix field */
    private JTextField prefixField;
    
    /** To record or not */
    private JCheckBox isRecord; 

    /** The view that cares about the trace depth */
    GLModelView mv;

    /**
     * Initialize the model.
     */
    public GLRecordComponent(GLModelView mv)
    {
	super(new FlowLayout());
	//
	this.mv = mv;
	initComponents();
    }
    
    /** Initialize the visual components */
    private void initComponents()
    {
	// Add the prefix label
	JPanel recordPanel=new JPanel();
	recordPanel.add(new JLabel("Record Prefix :"));
	// Add the perfix field
	prefixField=new JTextField(String.valueOf(mv.getRecordPrefix()), 10);
	prefixField.setHorizontalAlignment(JTextField.RIGHT);
	prefixField.addActionListener(this);
	recordPanel.add(prefixField);
	// Add the reord or not option
	isRecord = new JCheckBox("Record!", false);
	isRecord.addItemListener(this);
	recordPanel.add(isRecord);	

	add(recordPanel);
    }
    
    public void actionPerformed(ActionEvent e)
    {
	// Check the source of the event and branch
	if (e.getSource()==prefixField) {
	    mv.setRecordPrefix(prefixField.getText());
	} 
	//mv.refresh();
    }
    /** An event from the checkbox */
    public void itemStateChanged(ItemEvent e)
    {
	if (e.getSource()==isRecord) {
	    mv.setRecord(e.getStateChange()==ItemEvent.SELECTED);
	}
	//mv.refresh();
    }
}



