package mc.view;

import mc.model.AnimationModel;
import mc.model.RotationInterpolator;
import mc.model.DataManagerListener;
import mc.model.DataManagerEvent;

import com.sun.java.util.collections.*;
import javax.swing.*;
import javax.swing.table.*;
import javax.swing.event.*;
import java.awt.event.*;
import java.awt.*;

/**
 * The component that handles how far back we should trace
 */
final class GLTraceDepthComponent extends JPanel implements ActionListener, FocusListener, KeyListener
{
    /** The trace back field */
    private JTextField traceField;
    
    /** The view that cares about the trace depth */
    GLModelView mv;

    /**
     * Initialize the model.
     */
    public GLTraceDepthComponent(GLModelView mv)
    {
	super(new FlowLayout());
	//
	this.mv = mv;
	initComponents();
    }
    
    /** Initialize the visual components */
    private void initComponents()
    {
	// Add the frame label
	JPanel tracePanel=new JPanel();
	tracePanel.add(new JLabel("Trace :"));
	// Add the frame field
	traceField=new JTextField(String.valueOf(mv.getNumTraceFrames()), 5);
	traceField.setHorizontalAlignment(JTextField.RIGHT);
	traceField.addActionListener(this);
	tracePanel.add(traceField);
	// Add the total frames
	tracePanel.add(new JLabel(" back from current"));

	add(tracePanel);
    }
    
    public void actionPerformed(ActionEvent e)
    {
	// Check the source of the event and branch
	if (e.getSource()==traceField) {
	    updateNumTraceFrames();
	}
    }

    public void focusLost(FocusEvent e)
    {
	updateNumTraceFrames();
    }
    
    public void focusGained(FocusEvent e)
    {}
    
    /**
     * Check the state of the interpoation button, 
     * according to the text in the fields.
     *
     */
    private void updateNumTraceFrames()
    {
	mv.setNumTraceFrames(Integer.parseInt(traceField.getText()));
    }
    

    public void keyPressed(KeyEvent e)
    {}
    
    public void keyReleased(KeyEvent e)
    {}
    
    public void keyTyped(KeyEvent e)
    {
	updateNumTraceFrames();
    }
    
}



