package mc.view;

import mc.model.AnimationModel;
import java.awt.Component;

/**
 * Interface for the model view.
 */
public interface ModelView 
{
    /**
     * Set the model that the view will visualize.
     *
     * @param model The root joint of the model that will be visualized.
     */
    public void setModel(AnimationModel model);

    /**
     * Initialize the View
     */
    public void initView();

    /**
     * Cause the view to re-read the model
     * and refresh.
     *
     */
    public void refresh();

    /**
     * Get the component for this view.
     *
     * @return The component.
     */
    public Component getComponent();

    /**
     * Get the component responsible for controlling the view
     * if required to be seperate from the view
     * @return component
     */
    public Component getControlComponent();
}
