package mc.view;

import com.hermetica.magician.GL;
/**
 * Responsible for drawing a shape in GL. This includes
 * <ul>
 *   <li>Setting up the matrix stack for the local transform
 *   <li>Setting the visual properties of this shape
 *   <li>Drawing the shape
 * </ul>
 */
public interface Shape
{
    /**
     * Draw a shape given information from a ShapeAdapter
     * @param ShapeAdapter
     * @param gl context
     * @see ShapeAdapter
     */
    void draw(ShapeAdapter a, GL gl);
}
