package mc.view;

import javax.vecmath.Matrix4d;
import mc.model.AnimationModel;

/**
 * Used to smooth out elements directly represented
 * in the Model and those elements derived from the Model
 * for Viewing purposes. 
 */
public interface ShapeAdapter
{
    /**
     * Produce a bounding volume that any shape mapped to 
     * this adapter must be contained in.
     * @return bounding volume
     */
    BoundingVolume getBoundingVolume();
    
    /**
     * Produce a local matrix that will be the extra
     * transform for this particular adapter.
     * @return matrix
     */
    Matrix4d getLocalMatrix();
}
