package mc.view;

import mc.model.DataRepresentation;
import mc.util.FormatBigDecimal;

import javax.swing.table.*;
import javax.vecmath.Vector3d;
import java.awt.*;
import javax.swing.*;

/**
 * Show the values of a vector in tabular view
 */
public class VectorPanel extends JPanel implements DataRepresentationView
{
    /** The table model */
    private final DefaultTableModel theModel;

    public void initView()
    {}
    
    /**
     * Initialize
     *
     */
    public VectorPanel(String title,String[] headers)
    {
	super(new BorderLayout());
	// Initialize the table
	JTable theTable=new JTable();

	// Initialize the model
	this.theModel=new ImmutableTableModel();
	theModel.addColumn("Channel");
	theModel.addColumn("Value");
	theTable.setModel(theModel);
	// Add the rows
	for(int i=0;i<headers.length;i++) {
	    Object[] row={
		headers[i],
		FormatBigDecimal.format(0,3)
	    };
	    theModel.addRow(row);
	}

	// Add the table
	theTable.setPreferredScrollableViewportSize(new Dimension(100,50));
	JScrollPane scroller=new JScrollPane(theTable);
	add(BorderLayout.CENTER,scroller);
	// Set the border
	setBorder(BorderFactory.createTitledBorder(title));
    }

    public Component getComponent()
    {
	return this;
    }

    public void refresh(DataRepresentation representation)
    {
	Vector3d vector=(Vector3d)representation;
	// Update the text fields
	theModel.setValueAt(FormatBigDecimal.format(vector.x,3),0,1);
	theModel.setValueAt(FormatBigDecimal.format(vector.y,3),1,1);
	theModel.setValueAt(FormatBigDecimal.format(vector.z,3),2,1);
    }
}

