package mc.view.cameras;

public class DirectorFactory
{
    public static final int CHOPPY = 0;
    public static final int SMOOTH = 1;
    public static final String[] typeNames = {"Choppy".intern(), "Smooth".intern()};

    public static Director createGlobalDirector(String type, int maxFrames)
    {
	return createDirector(maxFrames, maxFrames, type);
    }

    public static Director createLocalDirector(String type)
    {
	return createDirector(0,1,type);
    }

    public static Director createGlobalDirector(int type, int maxFrames)
    {
	return createDirector(maxFrames, maxFrames, type);
    }

    public static Director createLocalDirector(int type)
    {
	return createDirector(0,1,type);
    }

    public static Director createDirector(int priorDepth, int futureDepth, int type)
    {
	if(type == CHOPPY)
	    return createChoppyDirector(priorDepth, futureDepth);
	if(type == SMOOTH)
	    return createSmoothDirector(priorDepth, futureDepth);	
	return null;
    }

    public static Director createDirector(int priorDepth, int futureDepth, String type)
    {
	if(type == typeNames[CHOPPY])
	    return createChoppyDirector(priorDepth, futureDepth);
	if(type == typeNames[SMOOTH])
	    return createSmoothDirector(priorDepth, futureDepth);	
	return null;
    }

    private static Director createChoppyDirector(int priorDepth, int futureDepth)
    {
	return new ChoppyDirector(typeNames[CHOPPY], priorDepth, futureDepth);
    }

    private static Director createSmoothDirector(int priorDepth, int futureDepth)
    {
	return null;
    }
}
