package mc.view.cameras;

import javax.vecmath.Vector3d;
import mc.view.*;
import com.hermetica.magician.*;
import mc.model.AnimationModel;

/**
 * Basic camera with control over the eye and target positions
 */
public class ManualCamera implements Camera
{
    private Vector3d eye;
    private Vector3d target;

    public ManualCamera()
    {
	eye = new Vector3d(150,50,0);
	target = new Vector3d(0,50,0);
    }

    public Vector3d getEye(int frame)
    {
	return eye;
    }

    public Vector3d getTarget(int frame)
    {
	return target;
    }

    public void setEyeX(double v)
    {
	eye.x = v;
    }

    public void setEyeY(double v)
    {
	eye.y = v;
    }
    
    public void setEyeZ(double v)
    {
	eye.z = v;
    }

    public void setTargetX(double v)
    {
	target.x = v;
    }

    public void setTargetY(double v)
    {
	target.y = v;
    }

    public void setTargetZ(double v)
    {
	target.z = v;
    }

    public void draw(AnimationModel model, GL gl)
    {
	// do nothing
    }
}


