package mc.view.shapes;

import mc.view.*;
import com.hermetica.magician.GL;
import com.hermetica.util3d.*;

public class EllipsoidShape extends AbstractShape
{
    private int slices;
    private int stacks;

    public EllipsoidShape(int slices, int stacks)
    {
	super();
	this.slices = slices;
	this.stacks = stacks;
    }
   
    public void draw(ShapeAdapter s, GL gl)
    {
	BoundingVolume v = s.getBoundingVolume();
	double r = v.getWidth()/2;
	double sx = (v.getLength()/2)/r;
	double sy = (v.getHeight()/2)/r;
	double sz = 1.0;
	gl.glColor3d(color.x, color.y, color.z);
	gl.glPushMatrix();
	gl.glScaled(sx,sy,sz);
	shapes.solidSphere(r, slices, stacks);	
	gl.glPopMatrix();
    }
}
