package mc.view.shapes;

import javax.vecmath.Matrix4d;
import javax.vecmath.Color4f;
import javax.vecmath.Vector3d;

import com.hermetica.magician.GL;
import mc.view.*;
import mc.util.SceneUtil;

public class IndependentShape extends AbstractShape
{
    private ShapeAdapter adapter;
    private Shape shape;
    private Matrix4d matrix;

    public IndependentShape(ShapeAdapter adapter, Shape shape, Color4f color, Matrix4d matrix)
    {
	super(color);
	this.adapter = adapter;
	this.shape = shape;
	this.matrix = matrix;
    }

    public void draw(ShapeAdapter s, GL gl)
    {
	gl.glPushMatrix();
	gl.glMultMatrixd(SceneUtil.toGLMatrix(matrix));
	shape.draw(adapter, gl);
	gl.glPopMatrix();
    }
}
