package mc.view.shapes;

import mc.view.*;
import com.hermetica.magician.GL;
import com.hermetica.util3d.*;

public class PlaneShape extends AbstractShape
{
    /**
     * Create a rectangle shape.
     */
    public PlaneShape()
    {
	super();
    }

    public void draw(ShapeAdapter s, GL gl)
    {
	BoundingVolume v = s.getBoundingVolume();

	double min_x = -v.getLength()/2.0;
	double max_x =  v.getLength()/2.0;
	double min_y = -v.getHeight()/2.0;
	double max_y =  v.getHeight()/2.0;
	double min_z = -v.getWidth()/2.0;
	double max_z =  v.getWidth()/2.0;

	gl.glColor3d(color.x, color.y, color.z);	
	gl.glBegin(GL.GL_QUADS);
	  gl.glVertex4d(min_x, 0, max_z, 1.0);
	  gl.glVertex4d(min_x, 0, max_z, 1.0);
	  gl.glVertex4d(max_x, 0, max_z, 1.0);
	  gl.glVertex4d(max_x, 0, max_z, 1.0);
	gl.glEnd();
    }
    
}
