package mc.view.shapes;

import mc.view.*;
import com.hermetica.magician.GL;
import com.hermetica.util3d.*;

public class WireCubeShape extends AbstractShape
{
    /**
     * Create a rectangle shape.
     */
    public WireCubeShape()
    {
	super();
    }

    public void draw(ShapeAdapter s, GL gl)
    {
	BoundingVolume v = s.getBoundingVolume();

	double min_x = -v.getLength()/2.0;
	double max_x =  v.getLength()/2.0;
	double min_y = -v.getHeight()/2.0;
	double max_y =  v.getHeight()/2.0;
	double min_z = -v.getWidth()/2.0;
	double max_z =  v.getWidth()/2.0;

	//System.out.println(min_x + "," + max_x + "," + min_y + "," + max_y + "," + min_z + "," + max_z);
	//gl.glPolygonMode(GL.GL_FRONT, GL.GL_FILL);
	gl.glColor3d(1.0, 0.0, 0.0);	
	gl.glBegin(GL.GL_LINE_STRIP);
	  gl.glVertex4d(min_x, max_y, max_z, 1.0);
	  gl.glVertex4d(min_x, min_y, max_z, 1.0);
	  gl.glVertex4d(max_x, min_y, max_z, 1.0);
	  gl.glVertex4d(max_x, max_y, max_z, 1.0);
	gl.glEnd();
	gl.glBegin(GL.GL_LINE_STRIP);
	  gl.glVertex4d(min_x, max_y, min_z, 1.0);
	  gl.glVertex4d(min_x, min_y, min_z, 1.0);
	  gl.glVertex4d(max_x, min_y, min_z, 1.0);
	  gl.glVertex4d(max_x, max_y, min_z, 1.0);
	gl.glEnd();
	gl.glColor3d(0.0, 1.0, 0.0);	
	gl.glBegin(GL.GL_LINE_STRIP);
	  gl.glVertex4d(min_x, max_y, min_z, 1.0);
	  gl.glVertex4d(min_x, max_y, max_z, 1.0);
	  gl.glVertex4d(max_x, max_y, max_z, 1.0);
	  gl.glVertex4d(max_x, max_y, min_z, 1.0);
	gl.glEnd();
	gl.glBegin(GL.GL_LINE_STRIP);
	  gl.glVertex4d(min_x, min_y, min_z, 1.0);
	  gl.glVertex4d(min_x, min_y, max_z, 1.0);
	  gl.glVertex4d(max_x, min_y, max_z, 1.0);
	  gl.glVertex4d(max_x, min_y, min_z, 1.0);
	gl.glEnd();
	gl.glColor3d(0.0, 0.0, 1.0);	
	gl.glBegin(GL.GL_LINE_STRIP);
	  gl.glVertex4d(min_x, max_y, max_z, 1.0);
	  gl.glVertex4d(min_x, max_y, min_z, 1.0);
	  gl.glVertex4d(min_x, min_y, min_z, 1.0);
	  gl.glVertex4d(min_x, min_y, max_z, 1.0);
	gl.glEnd();
	gl.glBegin(GL.GL_LINE_STRIP);
	  gl.glVertex4d(max_x, max_y, max_z, 1.0);
	  gl.glVertex4d(max_x, max_y, min_z, 1.0);
	  gl.glVertex4d(max_x, min_y, min_z, 1.0);
	  gl.glVertex4d(max_x, min_y, max_z, 1.0);
	  gl.glEnd();
    }
    
}
